Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

LoginFormView.php
Go to the documentation of this file.
1 <?php
2
7 declare(strict_types=1);
8
9 namespace eZ\Publish\Core\MVC\Symfony\View;
10
11 use Symfony\Component\Security\Core\Exception\AuthenticationException;
12
13 final class LoginFormView extends BaseView
14 {
16 private $lastUsername;
17
19 private $lastAuthenticationException;
20
21 public function getLastUsername(): ?string
22 {
23 return $this->lastUsername;
24 }
25
26 public function setLastUsername(?string $username): void
27 {
28 $this->lastUsername = $username;
29 }
30
31 public function getLastAuthenticationException(): ?AuthenticationException
32 {
33 return $this->lastAuthenticationException;
34 }
35
36 public function setLastAuthenticationError(?AuthenticationException $authenticationException): void
37 {
38 $this->lastAuthenticationException = $authenticationException;
39 }
40
41 protected function getInternalParameters(): array
42 {
43 return [
44 'last_username' => $this->getLastUsername(),
45 'error' => $this->getLastAuthenticationException(),
46 ];
47 }
48 }
eZ\Publish\Core\MVC\Symfony\View\BaseView
Definition: BaseView.php:14
eZ\Publish\Core\MVC\Symfony\View\LoginFormView
Definition: LoginFormView.php:14
eZ\Publish\Core\MVC\Symfony\View\LoginFormView\$lastAuthenticationException
$lastAuthenticationException
Definition: LoginFormView.php:19
eZ\Publish\Core\MVC\Symfony\View\LoginFormView\getLastAuthenticationException
getLastAuthenticationException()
Definition: LoginFormView.php:31
eZ\Publish\Core\MVC\Symfony\View\LoginFormView\getLastUsername
getLastUsername()
Definition: LoginFormView.php:21
eZ\Publish\Core\MVC\Symfony\View\LoginFormView\setLastAuthenticationError
setLastAuthenticationError(?AuthenticationException $authenticationException)
Definition: LoginFormView.php:36
eZ\Publish\Core\MVC\Symfony\View\LoginFormView\$lastUsername
$lastUsername
Definition: LoginFormView.php:16
eZ\Publish\Core\MVC\Symfony\View\LoginFormView\setLastUsername
setLastUsername(?string $username)
Definition: LoginFormView.php:26
eZ\Publish\Core\MVC\Symfony\View\LoginFormView\getInternalParameters
getInternalParameters()
Override to return internal parameters that will be added to the ones returned by getParameter().
Definition: LoginFormView.php:41
eZ\Publish\Core\MVC\Symfony\View
Definition: BaseView.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.